Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1289)
+++ /trunk/libIGCM/AA_additionnal	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $R_SAVE ; $config_UserChoices_JobName ; $config_UserChoices_TagName ; $YEARS ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $R_SAVE ; $config_UserChoices_JobName ; $config_UserChoices_TagName ; $YEARS ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1289)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1289)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1289)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1289)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1289)
+++ /trunk/libIGCM/AA_create_se	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1289)
+++ /trunk/libIGCM/AA_create_ts	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- /trunk/libIGCM/AA_metrics_LMDZ	(revision 1289)
+++ /trunk/libIGCM/AA_metrics_LMDZ	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_metrics_NEMO
===================================================================
--- /trunk/libIGCM/AA_metrics_NEMO	(revision 1289)
+++ /trunk/libIGCM/AA_metrics_NEMO	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_metrics_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1289)
+++ /trunk/libIGCM/AA_metrics_ORCHIDEE	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1289)
+++ /trunk/libIGCM/AA_monitoring	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1289)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1289)
+++ /trunk/libIGCM/AA_pack_output	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1289)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1290)
@@ -27,5 +27,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1289)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1290)
@@ -29,5 +29,5 @@
 #-Q- ada # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
 #-Q- ada # @ notification = error
-#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $Script_Post_Output ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $Script_Post_Output ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
 #-Q- lxiv8 ######################
Index: /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1289)
+++ /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1290)
@@ -26,4 +26,11 @@
 # Add low level verbosity
 DEBUG_debug=${DEBUG_debug:=false}
+
+#D- postProcessingStopLevel (0,1,2,3)
+#D- 3 stop if any post-processing went wrong
+#D- 2 dont stop if atlas, monitoring or metrics failed
+#D- 1 dont stop if atlas, monitoring, metrics, create_ts or create_se failed
+#D- 0 dont stop if atlas, monitoring, metrics, create_ts, create_se, rebuild or pack_* failed
+postProcessingStopLevel=${postProcessingStopLevel:=0}
 
 #==================================================
@@ -245,4 +252,6 @@
     IGCM_debug_Print 2 "IGCM_debug_sendAMQP_projectAccounting"
     echo ${encodedBody}|mailx -s "[TEMPORARY AMQP CHANNEL]" ${attachmentsOptions} ${mail_recipient}
+    # clean behind
+    rm -f $1
   fi
 
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1289)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1290)
@@ -141,5 +141,5 @@
 
 
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
     #
     jLoop=${#ListDimension[*]}
@@ -173,28 +173,29 @@
 #             echo "IGCM_sys_RshPost <<-EOF"                       >> ${FunctionPath}
 #           fi
-            echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
-            echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
-            echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
-            echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
-            echo "export libIGCM=${libIGCM_POST}                 " >> ${FunctionPath}
-            echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${FunctionPath}
-            echo "export POST_DIR=${POST_DIR}                    " >> ${FunctionPath}
-            echo "export MASTER=${MASTER}                        " >> ${FunctionPath}
-            echo "export RebuildFrequency=${RebuildFrequency}    " >> ${FunctionPath}
-            echo "export DateBegin=${DateBegin}                  " >> ${FunctionPath}
-            echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${FunctionPath}
-            echo "export StandAlone=false                        " >> ${FunctionPath}
-            echo "export CompletedFlag=${CompletedFlag}          " >> ${FunctionPath}
-            echo "export TsTask=${TsTask}                        " >> ${FunctionPath}
-            echo "unset  CompToRead                              " >> ${FunctionPath}
-            echo "unset  FlagToRead                              " >> ${FunctionPath}
-            echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${FunctionPath}
-            echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${FunctionPath}
-            echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${FunctionPath}
-            echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${FunctionPath}
-            echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${FunctionPath}
-            echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${FunctionPath}
-            echo "export listVarEnv=${listVarEnv}                " >> ${FunctionPath}
-            echo "export Script_Post_Output=${Script_Post_Output}" >> ${FunctionPath}
+            echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
+            echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
+            echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
+            echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
+            echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
+            echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
+            echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
+            echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
+            echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
+            echo "export RebuildFrequency=${RebuildFrequency}              " >> ${FunctionPath}
+            echo "export DateBegin=${DateBegin}                            " >> ${FunctionPath}
+            echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
+            echo "export StandAlone=false                                  " >> ${FunctionPath}
+            echo "export CompletedFlag=${CompletedFlag}                    " >> ${FunctionPath}
+            echo "export TsTask=${TsTask}                                  " >> ${FunctionPath}
+            echo "unset  CompToRead                                        " >> ${FunctionPath}
+            echo "unset  FlagToRead                                        " >> ${FunctionPath}
+            echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
+            echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
+            echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
+            echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
+            echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
+            echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
+            echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
+            echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
 #           if [ X${MASTER} = Xtitane ] ; then
 #             echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
@@ -212,4 +213,5 @@
                     export DEBUG_debug=${DEBUG_debug}
                     export BigBrother=${BigBrother}
+                    export postProcessingStopLevel=${postProcessingStopLevel}
                     export MODIPSL=${MODIPSL}
                     export libIGCM_SX=${libIGCM}
@@ -289,28 +291,29 @@
 #               echo "IGCM_sys_RshPost <<-EOF"                       >> ${FunctionPath}
 #             fi
-              echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
-              echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
-              echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
-              echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
-              echo "export libIGCM=${libIGCM_POST}                 " >> ${FunctionPath}
-              echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${FunctionPath}
-              echo "export POST_DIR=${POST_DIR}                    " >> ${FunctionPath}
-              echo "export MASTER=${MASTER}                        " >> ${FunctionPath}
-              echo "export RebuildFrequency=${RebuildFrequency}    " >> ${FunctionPath}
-              echo "export DateBegin=${ChunckTsDateBegin}          " >> ${FunctionPath}
-              echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${FunctionPath}
-              echo "export StandAlone=false                        " >> ${FunctionPath}
-              echo "export CompletedFlag=${CompletedFlag}          " >> ${FunctionPath}
-              echo "export TsTask=${TsTask}                        " >> ${FunctionPath}
-              echo "export CompToRead=${CompToRead}                " >> ${FunctionPath}
-              echo "export FlagToRead=${FlagToRead}                " >> ${FunctionPath}
-              echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${FunctionPath}
-              echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${FunctionPath}
-              echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${FunctionPath}
-              echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${FunctionPath}
-              echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${FunctionPath}
-              echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${FunctionPath}
-              echo "export listVarEnv=${listVarEnv}                " >> ${FunctionPath}
-              echo "export Script_Post_Output=${Script_Post_Output}" >> ${FunctionPath}
+              echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
+              echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
+              echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
+              echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
+              echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
+              echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
+              echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
+              echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
+              echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
+              echo "export RebuildFrequency=${RebuildFrequency}              " >> ${FunctionPath}
+              echo "export DateBegin=${ChunckTsDateBegin}                    " >> ${FunctionPath}
+              echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
+              echo "export StandAlone=false                                  " >> ${FunctionPath}
+              echo "export CompletedFlag=${CompletedFlag}                    " >> ${FunctionPath}
+              echo "export TsTask=${TsTask}                                  " >> ${FunctionPath}
+              echo "export CompToRead=${CompToRead}                          " >> ${FunctionPath}
+              echo "export FlagToRead=${FlagToRead}                          " >> ${FunctionPath}
+              echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
+              echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
+              echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
+              echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
+              echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
+              echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
+              echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
+              echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
 #             if [ X${MASTER} = Xtitane ] ; then
 #               echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
@@ -328,4 +331,5 @@
                         export DEBUG_debug=${DEBUG_debug}
                         export BigBrother=${BigBrother}
+                        export postProcessingStopLevel=${postProcessingStopLevel}"
                         export MODIPSL=${MODIPSL}
                         export libIGCM_SX=${libIGCM}
@@ -377,5 +381,5 @@
     Script_Post_Output=create_se.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
 
     if ( [ ${RebuildFrequency} = true ] || [ ${PackFrequency} = true ] ) ; then
@@ -392,23 +396,24 @@
 #       echo "IGCM_sys_RshPost <<-EOF"                     >> ${FunctionPath}
 #     fi
-      echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
-      echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
-      echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
-      echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
-      echo "export libIGCM=${libIGCM_POST}                 " >> ${FunctionPath}
-      echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${FunctionPath}
-      echo "export POST_DIR=${POST_DIR}                    " >> ${FunctionPath}
-      echo "export MASTER=${MASTER}                        " >> ${FunctionPath}
-      echo "export DateBegin=${DateBegin}                  " >> ${FunctionPath}
-      echo "export PeriodDateEnd=${PeriodDateEnd}          " >> ${FunctionPath}
-      echo "export StandAlone=false                        " >> ${FunctionPath}
-      echo "export RESOL_ATM=${RESOL_ATM}                  " >> ${FunctionPath}
-      echo "export RESOL_OCE=${RESOL_OCE}                  " >> ${FunctionPath}
-      echo "export RESOL_ICE=${RESOL_ICE}                  " >> ${FunctionPath}
-      echo "export RESOL_MBG=${RESOL_MBG}                  " >> ${FunctionPath}
-      echo "export RESOL_SRF=${RESOL_SRF}                  " >> ${FunctionPath}
-      echo "export RESOL_SBG=${RESOL_SBG}                  " >> ${FunctionPath}
-      echo "export listVarEnv=${listVarEnv}                " >> ${FunctionPath}
-      echo "export Script_Post_Output=${Script_Post_Output}" >> ${FunctionPath}
+      echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
+      echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
+      echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
+      echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
+      echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
+      echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
+      echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
+      echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
+      echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
+      echo "export DateBegin=${DateBegin}                            " >> ${FunctionPath}
+      echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
+      echo "export StandAlone=false                                  " >> ${FunctionPath}
+      echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
+      echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
+      echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
+      echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
+      echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
+      echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
+      echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
+      echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
 #     if [ X${MASTER} = Xtitane ] ; then
 #       echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
@@ -426,4 +431,5 @@
             export DEBUG_debug=${DEBUG_debug}
             export BigBrother=${BigBrother}
+            export postProcessingStopLevel=${postProcessingStopLevel}
             export MODIPSL=${MODIPSL}
             export libIGCM_SX=${libIGCM}
@@ -477,8 +483,9 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
     IGCM_sys_RshPost <<-EOF
     export DEBUG_debug=${DEBUG_debug}
     export BigBrother=${BigBrother}
+    export postProcessingStopLevel=${postProcessingStopLevel}
     export MODIPSL=${MODIPSL}
     export libIGCM_SX=${libIGCM}
@@ -509,4 +516,5 @@
       export DEBUG_debug=${DEBUG_debug}
       export BigBrother=${BigBrother}
+      export postProcessingStopLevel=${postProcessingStopLevel}
       export MODIPSL=${MODIPSL}
       export libIGCM_SX=${libIGCM}
@@ -553,4 +561,5 @@
       echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
       echo "export script=${script}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       if [ X${MASTER} = Xtitane ] ; then
 #         echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -568,4 +577,5 @@
         export DEBUG_debug=${DEBUG_debug}
         export BigBrother=${BigBrother}
+        export postProcessingStopLevel=${postProcessingStopLevel}
         export MODIPSL=${MODIPSL}
         export libIGCM_SX=${libIGCM}
@@ -610,8 +620,9 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,Script_Post_Output,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
     IGCM_sys_RshPost <<-EOF
       export DEBUG_debug=${DEBUG_debug}
       export BigBrother=${BigBrother}
+      export postProcessingStopLevel=${postProcessingStopLevel}
       export MODIPSL=${MODIPSL}
       export libIGCM_SX=${libIGCM}
